/**
 * Test case for load.
 * Runs with mocha.
 */
"use strict";

const load = require('../lib/load.js'),
    assert = require('assert');

describe('load', ()=> {
    it('Load', (done) => {
        let bud = load({
            cmd: 'foo',
            args: 'bar',
            opts: {
                "quz": 'quzz'
            }
        }, '444', true);
        assert.ok(bud);
        assert.ok(bud.tmpl);
        bud.mkdirp = true;
        bud.path = __dirname + '/../tmp/foo/bar/baz.txt';
        require('coz').render(bud, (err) => {
            assert.ifError(err);
            done();
        });
    });
});

